%define         tarversion  1_0
%define         tarname     Xalan-C_%{tarversion}
%define			packname	xml-xalan

Summary: 		An XSLT Transformation Engine in C++
Name: 			xalan-c
Version: 		1.0
Release: 		1mdk
Copyright: 		Apache Software License
Group: 			Development/Other
Source: 		http://xml.apache.org/dist/xalan-c/%{tarname}-linux.tar.bz2
Patch0: 			xalan-c.patches
Patch1: 		xalan-c-no_static_instances_for_g++-patch.bz2
Patch2: 		xalan-c.make-class-public-to-be-accessible.patch.bz2
Patch3: 		xalan-c.trace-listener-cast-to-char-for-ambiguity.patch.bz2
URL: 			http://xml.apache.org/xalan-c/
BuildRoot: 		%{_tmppath}/%{name}-root
Requires:		Xerces-c >= 1.2.0a
BuildRequires: 	Xerces-c-devel >= 1.2.0a

%description 
Xalan is an XSL processor for transforming XML documents
into HTML, text, or other XML document types. Xalan-C++ represents an
almost complete and a robust C++ reference implementation of the W3C
Recommendations for XSL Transformations (XSLT) and the XML Path
Language (XPath).

%package devel
Requires:       xalan-c = %{version}
Group:          Development/Libraries
Summary:        Developpement files for XSLT Transformation Engine

%description    devel
Xalan is an XSL processor for transforming XML documents
into HTML, text, or other XML document types. Xalan-C++ represents an
almost complete and a robust C++ reference implementation of the W3C
Recommendations for XSL Transformations (XSLT) and the XML Path
Language (XPath).

%package doc
Group:          Applications/Internet
Summary:        Online manual for Xalan-C, XSLT Transformation Engine

%description doc
Documentation for Xalan-C, viewable through your web server, too!


%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -n %{packname}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f c/bin/*
rm -f c/lib/*
export XALANCROOT=${RPM_BUILD_DIR}/%{packname}
export XERCESCROOT=/usr/include/xerces
cd $XALANCROOT/c/src
chmod +x ./runConfigure ./configure
./runConfigure -plinux -cgcc -xg++ -minmem -nfileonly -tnative 
gmake


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/home/httpd/html/manual/%{name}
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/DOMSupport
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/Include
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/PlatformSupport
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XercesPlatformSupport
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XercesParserLiaison
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XPath
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XMLSupport
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/XSLT
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/lib

install --mode=0755 lib/* ${RPM_BUILD_ROOT}/usr/lib
install --mode=0755 bin/test* ${RPM_BUILD_ROOT}/usr/bin
ln -s testXSLT ${RPM_BUILD_ROOT}/usr/bin/xsl-c
ln -s testXPath ${RPM_BUILD_ROOT}/usr/bin/xpath-c


install --mode=0644 c/src/DOMSupport/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/DOMSupport
install --mode=0644 c/src/Include/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/Include
install --mode=0644 c/src/PlatformSupport/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/PlatformSupport
# install --mode=0644 c/src/XercesPlatformSupport/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XercesPlatformSupport
install --mode=0644 c/src/XercesParserLiaison/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XercesParserLiaison
install --mode=0644 c/src/XPath/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XPath
install --mode=0644 c/src/XMLSupport/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XMLSupport
install --mode=0644 c/src/XSLT/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XSLT


%files
%defattr(644 root root 755)
%attr(755,root,root)  /usr/lib/*.so*
%attr(755,root,root)  /usr/bin/

%files devel
%defattr(644 root root 755)
%attr( - ,root,root)  /usr/include/xalan

%files doc
%defattr(644 root root 755)
%doc License readme.html c/docs/

%changelog
* Sun Jan 07 2001 Warly <warly@mandrakesoft.com> 1.0-1mdk
- new version

* Mon Oct 02 2000 Henri Gomez <hgomez@slib.fr>
- xalan-c 0.40.0
- Initial RPM release
- documentation go in a new package doc (comme xalan-j)
- fixed bad soname (many patches around Makefiles)
- compiled on Redhat 6.1 with updates

